<div class="p-formgrid grid">
  <div class="col-12 md:col-8">
    <p-card>
      <ng-template pTemplate="title">
        <div class="flex justify-content-between align-items-center">
          Kategorien
          <p-button
            *urboCmsUiHasPermission="Permission.CategoryWrite"
            icon="pi pi-plus"
            (onClick)="showDialog()"
            class="p-button-success p-mt-2"
          ></p-button>
        </div>
      </ng-template>
      <p-accordion>
        <p-accordionTab
          *ngFor="let tag of tags; let i = index"
          [header]="tag.localizedNames[0].value || 'No Name'"
          class="p-fluid"
        >
          <form #f="ngForm" (ngSubmit)="updateTag(tag)">
            <div class="field">
              <label [for]="'name_de_' + i">Name (deutsch)</label>
              <input
                [id]="'name_de_' + i"
                [name]="'name_de_' + i"
                type="text"
                pInputText
                [(ngModel)]="tag.localizedNames[0].value"
                [required]="true"
              />
            </div>
            <div class="field">
              <label [for]="'name_en_' + i">Name (englisch)</label>
              <input
                [id]="'name_en_' + i"
                [name]="'name_en_' + i"
                type="text"
                pInputText
                [(ngModel)]="tag.localizedNames[1].value"
                [required]="true"
              />
            </div>
            <div class="field">
              <p-multiSelect
                [name]="'services_' + i"
                [options]="allCitizenServices"
                [(ngModel)]="groupedCitizenServices[tag.id]"
                [resetFilterOnHide]="true"
                [maxSelectedLabels]="99"
                placeholder="Select Citizen Services"
                display="chip"
              ></p-multiSelect>
            </div>
            <div class="justify-content-end flex">
              <p-progressSpinner
                *ngIf="loading"
                styleClass="w-3rem h-3rem mr-3"
              ></p-progressSpinner>
              <p-button
                *urboCmsUiHasPermission="Permission.CategoryDelete"
                label="Löschen"
                icon="pi pi-trash"
                class="mr-2"
                severity="danger"
                (onClick)="confirmDeleteTag(tag)"
                [disabled]="loading"
              ></p-button>
              <p-button
                *urboCmsUiHasPermission="Permission.CategoryWrite"
                label="Speichern"
                icon="pi pi-save"
                type="submit"
                [disabled]="loading || !f.valid"
              ></p-button>
            </div>
          </form>
        </p-accordionTab>
      </p-accordion>
      <p-confirmDialog key="deleteTag"></p-confirmDialog>
    </p-card>
  </div>
  <div class="col-12 md:col-4">
    <urbo-cms-citizen-services-ungrouped
      [groupedCitizenServices]="groupedCitizenServices"
    ></urbo-cms-citizen-services-ungrouped>
  </div>
</div>

<urbo-cms-citizen-services-create-tag
  *urboCmsUiHasPermission="Permission.CitizenServiceWrite"
  (created)="loadTags()"
  (updated)="loadTags()"
  [tagToEdit]="tagToEdit"
></urbo-cms-citizen-services-create-tag>
